본 한국어 번역은 사용자 편의를 위해 제공되는 기계 번역입니다. 영어 버전과 한국어 버전이 서로 어긋나는 경우에는 언제나 영어 버전이 우선합니다.

업그레이드 중 시스템에 미치는 영향

기여자

업그레이드 중에 StorageGRID 시스템이 어떻게 영향을 받는지 알아야 합니다.

StorageGRID 업그레이드는 무중단으로 수행할 수 있습니다

StorageGRID 시스템은 업그레이드 프로세스 전반에서 클라이언트 애플리케이션의 데이터를 수집하고 검색할 수 있습니다. 그리드 노드는 업그레이드 중에 한 번에 하나씩 다운되므로 모든 그리드 노드를 사용할 수 없는 시간은 없습니다.

지속적인 가용성을 보장하려면 적절한 ILM 정책을 사용하여 개체가 중복적으로 저장되도록 해야 합니다. 또한 모든 외부 S3 또는 Swift 클라이언트가 다음 중 하나로 요청을 보내도록 구성되어 있는지 확인해야 합니다.

  • 고가용성(HA) 그룹으로 구성된 StorageGRID 끝점

  • 고가용성 타사 로드 밸런서

  • 각 클라이언트에 대해 여러 게이트웨이 노드가 있습니다

  • 각 클라이언트에 대해 여러 스토리지 노드

어플라이언스 펌웨어가 업그레이드되었습니다

StorageGRID 11.6 업그레이드 중:

  • 모든 StorageGRID 어플라이언스 노드는 StorageGRID 어플라이언스 설치 관리자 펌웨어 버전 3.6으로 자동으로 업그레이드됩니다.

  • SG6060 및 SGF6024 어플라이언스는 BIOS 펌웨어 버전 3B07.EX 및 BMC 펌웨어 버전 BMC 3.93.07로 자동 업그레이드됩니다.

  • SG100 및 SG1000 어플라이언스는 BIOS 펌웨어 버전 3B12.EC 및 BMC 펌웨어 버전 4.67.07로 자동 업그레이드됩니다.

알림이 트리거될 수 있습니다

서비스가 시작 및 중지되거나 StorageGRID 시스템이 혼합 버전 환경으로 작동 중일 때(이전 버전을 실행하는 일부 그리드 노드와 이후 버전으로 업그레이드된 경우) 경고가 트리거될 수 있습니다. 업그레이드가 완료된 후 다른 알림이 트리거될 수 있습니다.

예를 들어, 서비스가 중지되었을 때 * 노드 * 와 통신할 수 없음 경고가 표시되거나 일부 노드가 StorageGRID 11.6으로 업그레이드되었지만 다른 노드가 여전히 StorageGRID 11.5를 실행 중일 때 * Cassandra 통신 오류 * 경고가 표시될 수 있습니다. 일반적으로 이러한 알림은 업그레이드가 완료되면 지워집니다.

StorageGRID 11.6으로 업그레이드하는 동안 스토리지 노드가 중지되면 * ILM 배치를 달성 불가능으로 * 경고가 트리거될 수 있습니다. 이 알림은 업그레이드가 완료된 후 1일 동안 지속될 수 있습니다.

스토리지 볼륨 워터마크에 사용자 지정 값을 사용하는 경우 업그레이드가 완료된 후 * 읽기 전용 로우 워터마크 재정의 * 알림이 트리거될 수 있습니다. 을 참조하십시오 낮은 읽기 전용 배경무늬 재정의 알림 문제 해결 를 참조하십시오.

업그레이드가 완료된 후 Grid Manager 대시보드에서 * Recently Resolved alerts * 또는 * Current alerts * 를 선택하여 업그레이드 관련 경고를 검토할 수 있습니다.

많은 SNMP 알림이 생성됩니다

업그레이드 중에 그리드 노드를 중지하고 다시 시작할 때 많은 수의 SNMP 알림이 생성될 수 있습니다. 과도한 알림을 방지하려면 업그레이드를 시작하기 전에 SNMP 알림을 비활성화하려면 * SNMP 에이전트 알림 사용 * 확인란(* 구성 * > * 모니터링 * > * SNMP 에이전트 *)을 선택 취소합니다. 그런 다음 업그레이드가 완료된 후 알림을 다시 활성화합니다.

구성 변경이 제한됩니다

참고 제한된 구성 변경 목록은 릴리즈에서 릴리즈로 변경될 수 있습니다. 다른 StorageGRID 릴리즈로 업그레이드할 때는 해당 업그레이드 지침의 목록을 참조하십시오.

새 기능 사용 * 작업이 완료될 때까지 다음을 수행합니다.

  • 그리드 구성을 변경하지 마십시오.

  • 감사 수준 구성을 변경하거나 외부 syslog 서버를 구성하지 마십시오.

  • 새 기능을 사용하거나 사용하지 않도록 설정하지 마십시오.

  • ILM 구성을 업데이트하지 마십시오. 그렇지 않으면 일관되지 않고 예기치 않은 ILM 동작이 발생할 수 있습니다.

  • 핫픽스를 적용하거나 그리드 노드를 복구하지 마십시오.

  • StorageGRID 11.6으로 업그레이드하는 동안에는 HA 그룹, VLAN 인터페이스 또는 로드 밸런서 엔드포인트를 관리할 수 없습니다.

최종 업그레이드 단계 * 작업이 완료될 때까지:

  • 확장 절차를 수행하지 마십시오.

  • 서비스 해제 절차를 수행하지 마십시오.

테넌트 관리자에서는 버킷 세부 정보를 보거나 버킷을 관리할 수 없습니다

StorageGRID 11.6으로 업그레이드하는 동안(즉, 시스템이 혼합 버전 환경으로 작동하는 동안), 버킷 세부 정보를 보거나 테넌트 관리자를 사용하여 버킷을 관리할 수 없습니다. Tenant Manager의 Bucket 페이지에 다음 오류 중 하나가 나타납니다.

  • "11.6으로 업그레이드하는 동안에는 이 API를 사용할 수 없습니다."

  • 11.6으로 업그레이드하는 동안에는 테넌트 관리자에서 버킷 버전 정보를 볼 수 없습니다."

11.6으로의 업그레이드가 완료된 후 이 오류가 해결됩니다.

11.6 업그레이드가 진행 중인 동안 테넌트 관리자를 사용하는 대신 다음 툴을 사용하여 버킷 세부 정보를 보거나 버킷을 관리합니다.

  • 버킷에서 표준 S3 작업을 수행하려면 S3 REST API 또는 테넌트 관리 API를 사용합니다.

  • 버킷에 대한 StorageGRID 사용자 지정 작업(예: 버킷 정합성 보장 수준 보기 및 수정, 마지막 액세스 시간 업데이트 활성화 또는 비활성화, 검색 통합 구성)을 수행하려면 테넌트 관리 API를 사용합니다.

을 참조하십시오 테넌트 관리 API 이해S3을 사용합니다 를 참조하십시오.